> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate terminal transaction



## OpenAPI

````yaml /openapi/partner.openapi.json post /terminal/transaction
openapi: 3.0.3
info:
  title: Partner API
  version: 1.0.0
  description: OpenAPI spec for Partner Terminal and Transaction API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Partner Terminal
  - name: Partner Transactions
paths:
  /terminal/transaction:
    post:
      tags:
        - Partner Terminal
      summary: Initiate terminal transaction
      parameters:
        - $ref: '#/components/parameters/TerminalHeaderParam'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InitiateTransactionDto'
      responses:
        '200':
          description: Transaction reference or payload token
          content:
            application/json:
              schema:
                type: string
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  parameters:
    TerminalHeaderParam:
      name: x-terminal
      in: header
      required: true
      schema:
        type: string
      description: Terminal serial number
  schemas:
    InitiateTransactionDto:
      type: object
      required:
        - amount
        - reference
      properties:
        name:
          type: string
          maxLength: 100
        amount:
          type: number
          minimum: 100
        reference:
          type: string
          maxLength: 50
          pattern: ^[A-Za-z0-9_-]+$
        description:
          type: string
          maxLength: 255
        metadata:
          type: object
          additionalProperties: true
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````